/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.action;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import net.sourceforge.kivu4j.utils.lang.domain.Filter;

/**
 * <code>Filter</code>类型请求数据，主要用户查询模块。像这样的：
 * 
 * <pre>
 * [{
 * 	"type":"numeric",
 * 	"comparison":"lt",
 * 	"value":10,
 * 	"field":"price"
 * },{
 * 	"type":"numeric",
 * 	"comparison":"gt",
 * 	"value":1,
 * 	"field":"price"
 * }]
 * </pre>
 * 
 *
 * @author Lucky Yang
 * @see net.sourceforge.kivu4j.utils.lang.domain.Filter
 */
public class RequestFilter implements RequestData {
	/**
	 * 
	 */
	private static final long serialVersionUID = -4707389416900596131L;
	private List<Filter> root;

	/**
	 * 
	 * @return
	 */
	public Collection<Filter> getFilters() {
		if (this.root == null) return new ArrayList<Filter>(0);
		
		return root;
	}
	
	
}
