/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.action;

import java.util.Map;

import net.sourceforge.kivu4j.utils.lang.ConvertUtil;

/**
 *  <code>Map</code>类型请求数据，主要用户查询模块。像这样的：
 *  
 * <pre>
 * {
 * 	"ID":201,
 * 	"memberId":1
 * }
 * </pre>
 * 
 *
 * @author Lucky Yang
 */
public class RequestMap implements RequestData {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7019946364836562076L;
	private Map<String, String> root;
	
	protected <T> T get(String key, Class<T> clazz){
		if (root == null) return null;
		
		return ConvertUtil.convert(root.get(key), clazz);
	}
	
	public String getStr(String key){
		return this.get(key, String.class);
	}
	
	public Long getLong(String key){
		return this.get(key, Long.class);
	}	
}

