/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.action;

import java.io.Serializable;

/**
 * 抽象的结果数据。返回给客户端向这样的：
 * 
 * <pre>
 * {
 * 	success:true,
 * 	start:0,
 *  limit:0,
 *  total:0,
 *  more:false,
 *  ......
 * }
 * </pre>
 * 
 * @author Lucky Yang
 */
public abstract class ResponseData implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5822931165008361427L;
	private boolean success = true;
	private int start;
	private int limit;
	private int total;
	private boolean more;	
	
	public ResponseData() {
		super();
	}

	/**
	 * 
	 */
	public abstract void doPagination();
	
	public boolean isSuccess() {
		return success;
	}

	public boolean isError() {
		return ! this.isSuccess();
	}

	public int getTotal() {
		return total;
	}

	public void setTotal(int total) {
		this.total = total;
	}
	
	public boolean isMore() {
		return more;
	}

	public void setMore(boolean more) {
		this.more = more;
	}

	public int getStart() {
		return start;
	}

	public void setStart(int start) {
		this.start = start;
	}

	public int getLimit() {
		return limit;
	}

	public void setLimit(int limit) {
		this.limit = limit;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}
	
}
