/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.action;

import java.util.ArrayList;
import java.util.List;


/**
 * 错误的结果数据，处理出现了异常。返回给客户端向这样的：
 * 
 * <pre>
 * {
 * 	success:false,
 * 	start:0,
 *  limit:0,
 *  total:0,
 *  more:false,
 *  errorCode:"message"
 *  errorMsg:"stack"
 *  data:[]
 * }
 * </pre>
 * 
 * @author Lucky Yang
 */
public class ResponseError extends ResponseData {
	/**
	 * 
	 */
	private static final long serialVersionUID = 5825991740937097186L;
	// 异常消息
	private String errorCode;
	
	// 异常堆栈
	private String errorMsg;
	protected List<Object> data = new ArrayList<Object>(0);

	public ResponseError(Throwable t) {
		super();
		this.setSuccess(false);
		this.setErrorCode(t.getClass().getName());
		this.setErrorMsg(t.getMessage());
	}

	@Override
	public void doPagination() {
		// needn't to implement		
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}

	public String getErrorMsg() {
		return errorMsg;
	}

	public void setErrorMsg(String errorMsg) {
		this.errorMsg = errorMsg;
	}
	
	
}
